Summary: An user account management system.
Name: acua
Version: 2.10
Release: 3
Copyright: GPL
Group: Applications/System
Source: http://acua.gist.net.au/2.0/acua-2.10.tar.gz
Source1: README.redhat.tar.gz
Patch0: acua.patch 
URL: http://acua.gist.net.au
BuildRoot: /var/tmp/%{name}-root

%description
ACUA is used to administer user accounts and to enforce access
restrictions on Linux systems.  ACUA is commonly used on systems with
modem pools (ISPs, BBSs, school/business dialups), but it can be used on
systems without modem pools.  ACUA can help with many system
administration tasks:  temporarily freezing accounts, enforcing time
limits on users, automatically deleting accounts, banning specific users
temporarily or indefinitely, generating and reporting usage statistics,
and much more.

%prep
%setup -q -b 1
%patch0 -p1 -b .orig

%build
make dep
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin

export PATH="$PATH:/sbin"	# XXX to find ldconfig
make install RPM_INSTALL=$RPM_BUILD_ROOT
chmod -s $RPM_BUILD_ROOT/usr/sbin/*
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%dir /usr/lib/acua
%dir /usr/lib/acua/record
%dir /usr/lib/acua/record/archive
/usr/lib/libacua.so.2
/usr/bin/acua
/usr/bin/acua_stats
/usr/bin/acua_bytes
/usr/bin/acua_viewRec
/usr/sbin/acua117-200
/usr/sbin/acua200-202
/usr/sbin/acua_login
/usr/sbin/acua_logout
/usr/sbin/acua_updated
/usr/sbin/acua_verify
/usr/sbin/clean_proc
/usr/sbin/clean_tmp
%config /usr/lib/acua/clean_proc.config
%config /usr/lib/acua/clean_tmp.config
%config /usr/lib/acua/acua.config
%config /usr/lib/acua/acua_login.busy
%config /usr/lib/acua/acua_login.data_period
%config /usr/lib/acua/acua_login.default
%config /usr/lib/acua/acua_login.lock
%config /usr/lib/acua/acua_login.max_logins
%config /usr/lib/acua/acua_login.session_wait
%config /usr/lib/acua/acua_login.time_class
%config /usr/lib/acua/acua_login.time_period
%config /usr/lib/acua/acua_login.upgrade_access
%config /usr/lib/acua/acua_updated.busy
%config /usr/lib/acua/acua_updated.data_period
%config /usr/lib/acua/acua_updated.data_session
%config /usr/lib/acua/acua_updated.footer
%config /usr/lib/acua/acua_updated.header
%config /usr/lib/acua/acua_updated.idle
%config /usr/lib/acua/acua_updated.time_class
%config /usr/lib/acua/acua_updated.time_period
%config /usr/lib/acua/acua_updated.time_session
%config /usr/lib/acua/acua_updated.upgrade_access
%config /usr/lib/acua/acua_updated.warn_boot
%config /usr/lib/acua/acua_updated.warn_expire
%config /usr/lib/acua/acua_viewRec
%config /usr/sbin/acua_adduser
%config /usr/sbin/acua_deluser

%changelog
* Wed Jul 7 1999 Tim Powers <timp@redhat.com>
- turned off suids
- created README.redhat which contains instructions on turning on
  suids, which files need to have it turned on if the program 
  doesn't work etc.
- rebuilt for powertools 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.0.

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- built package from contrib.
